Subject: Re: [Sipbrandy] Open Issue in draft-ietf-sipbrandy-osrtp-00 - AVP offer/SAVP answer

From: Andy Hutton <[email-masked]>
Date: Mon, 3 Oct 2016 14:24:25 +0100

I strongly support Alan's suggested new text as I know there are existing
implementations that use SAVP in such an answer.

Regards
Andy

On Fri, Sep 9, 2016 at 12:23 AM, Alan Johnston <[email-masked]>
wrote:

> All,
>
> To move the Opportunistic SRTP draft-ietf-sipbrandy-osrtp forward, it
> would be good to get some discussion on one open issue.
>
> Open Issue: AVP offer/SAVP answer.
>
> Currently, the draft does not discuss this case.  Strictly speaking, an
> SDP offer with AVP profile receiving an SDP answer with an SAVP profile
> violates offer answer.  However, some implementations support this.  For
> example, the IMTC security document has this text:
>
> “An offerer that prefers the use of SRTP SHOULD be lenient when receiving
> an answer.  It SHOULD interpret either: 1) RTP/AVP with the crypto
> attribute or 2) RTP/SAVP with the crypto attribute as indicating that the
> answerer is capable of supporting, and does support, SRTP encryption.”
>
> It would be good if OSRTP allowed this, although I don't think it should
> be the normal behavior.  Here is a proposed text change in Section 3:
>
> OLD:
>
>    If the SDP answer contains SRTP keying attributes, then that particular
>    SRTP key management approach is followed and SRTP media is used for
>    this session.
>
> NEW:
>
>    If the SDP answer contains the AVP profile with SRTP keying attributes
> or the
>    SAVP profile with SRTP keying attributes, then that particular SRTP key
> management
>    approach is followed and SRTP media is used for this session.
>
> If there are other open issues in the draft, please raise them as this is
> the only issue known to the authors.
>
> - Alan -
>
> _______________________________________________
> Sipbrandy mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/sipbrandy
>
>